/* ledswitch.c
 *
 * Simple test code to wobble a GPIO line
 */

#define CONFIG_ARCH_LH7A40X
#define CONFIG_ARCH_LH7A404
#include "hardware.h"


static void delay(void)
{
	volatile int j;

	for (j=0;j<10;j++);
}
 
int main(void)
{
	
	// configure PC4 to be an output
	GPIO_PCDD = ~(1<<4);	// 0=out 1=in
	
	// Wiggle Line PC4
	while(1)
	{
		// make line high
		GPIO_PCD |= (1<<4);
		delay();
		// make line low
		GPIO_PCD &= ~(1<<4);
		delay();
	}
	
	return 0;
}
